#!/bin/sh

#  run show_aligned_blocks
#  modified from LAMA_logos


   cat << EOM
Content-type: text/html

<HTML>
<TITLE>LAMA blocks alignment</TITLE>
<H3>Alignment of $2 and $5</H3><P>
<PRE>
EOM

#  "2>&1" in order to redirect stderr to stdout
./show_aligned_blocks $1 $2 $3 $4 $5 $6 $7 2>&1

echo "</PRE>"
echo "</HTML>"

exit 0

if [ $3 -gt 55 -o $6 -gt 55 ]
then
   cat << EOM
Content-type: text/html

<TITLE>LAMA logos alignment error</TITLE>
<H3>LAMA logos alignment error</H3>
At present logos alignment is only shown for regions in the first
55 positions of the blocks. Sorry.
EOM
   exit 1
else
   echo Content-type: application/postscript
   echo 
fi

exit
